package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel
public class DrpInspectGoodsPageVO {
   @ApiModelProperty("验货单号")
   private String inspectGoodsId;
   @ApiModelProperty("验货时间")
   private LocalDateTime inspectDate;
   @ApiModelProperty("验货人")
   private String inspector;
   @ApiModelProperty("关联送货单号")
   private String relateDeliveryGoodsId;
   @ApiModelProperty("送货供应商id")
   private Long deliverySupplierId;
   @ApiModelProperty("送货供应商")
   private String deliverySupplierName;
   @ApiModelProperty("送货人")
   private String deliveryMan;
   @ApiModelProperty("送货人电话")
   private String deliveryPhone;
   @ApiModelProperty("送货仓库id")
   private Long deliveryWarehouseId;
   @ApiModelProperty("送货仓库")
   private String deliveryWarehouseName;
   @ApiModelProperty("送货总数量")
   private BigDecimal deliveryTotalNum;
   @ApiModelProperty("送货日期")
   private LocalDate deliveryDate;
   @ApiModelProperty("累计验货合格总数量")
   private BigDecimal totalQualifiedNum;
   @ApiModelProperty("验货合格总数量")
   private BigDecimal inspectQualifiedNum;
   @ApiModelProperty("关联采购订单号")
   private String relateOrderGoodsId;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @ApiModelProperty("是否入库(1是2否)")
   private Integer ifInto;
   @ApiModelProperty("是否上传质检报告(1已上传2未上传)")
   private Integer ifUpload;
   @ApiModelProperty("签名")
   private String signaturePicUrl;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;

   public void setSignaturePicUrl(String signaturePicUrl) {
      this.signaturePicUrl = SysUtil.getCutFileUrl(signaturePicUrl);
   }

   public String getInspectGoodsId() {
      return this.inspectGoodsId;
   }

   public LocalDateTime getInspectDate() {
      return this.inspectDate;
   }

   public String getInspector() {
      return this.inspector;
   }

   public String getRelateDeliveryGoodsId() {
      return this.relateDeliveryGoodsId;
   }

   public Long getDeliverySupplierId() {
      return this.deliverySupplierId;
   }

   public String getDeliverySupplierName() {
      return this.deliverySupplierName;
   }

   public String getDeliveryMan() {
      return this.deliveryMan;
   }

   public String getDeliveryPhone() {
      return this.deliveryPhone;
   }

   public Long getDeliveryWarehouseId() {
      return this.deliveryWarehouseId;
   }

   public String getDeliveryWarehouseName() {
      return this.deliveryWarehouseName;
   }

   public BigDecimal getDeliveryTotalNum() {
      return this.deliveryTotalNum;
   }

   public LocalDate getDeliveryDate() {
      return this.deliveryDate;
   }

   public BigDecimal getTotalQualifiedNum() {
      return this.totalQualifiedNum;
   }

   public BigDecimal getInspectQualifiedNum() {
      return this.inspectQualifiedNum;
   }

   public String getRelateOrderGoodsId() {
      return this.relateOrderGoodsId;
   }

   public Integer getIfInto() {
      return this.ifInto;
   }

   public Integer getIfUpload() {
      return this.ifUpload;
   }

   public String getSignaturePicUrl() {
      return this.signaturePicUrl;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public DrpInspectGoodsPageVO setInspectGoodsId(final String inspectGoodsId) {
      this.inspectGoodsId = inspectGoodsId;
      return this;
   }

   public DrpInspectGoodsPageVO setInspectDate(final LocalDateTime inspectDate) {
      this.inspectDate = inspectDate;
      return this;
   }

   public DrpInspectGoodsPageVO setInspector(final String inspector) {
      this.inspector = inspector;
      return this;
   }

   public DrpInspectGoodsPageVO setRelateDeliveryGoodsId(final String relateDeliveryGoodsId) {
      this.relateDeliveryGoodsId = relateDeliveryGoodsId;
      return this;
   }

   public DrpInspectGoodsPageVO setDeliverySupplierId(final Long deliverySupplierId) {
      this.deliverySupplierId = deliverySupplierId;
      return this;
   }

   public DrpInspectGoodsPageVO setDeliverySupplierName(final String deliverySupplierName) {
      this.deliverySupplierName = deliverySupplierName;
      return this;
   }

   public DrpInspectGoodsPageVO setDeliveryMan(final String deliveryMan) {
      this.deliveryMan = deliveryMan;
      return this;
   }

   public DrpInspectGoodsPageVO setDeliveryPhone(final String deliveryPhone) {
      this.deliveryPhone = deliveryPhone;
      return this;
   }

   public DrpInspectGoodsPageVO setDeliveryWarehouseId(final Long deliveryWarehouseId) {
      this.deliveryWarehouseId = deliveryWarehouseId;
      return this;
   }

   public DrpInspectGoodsPageVO setDeliveryWarehouseName(final String deliveryWarehouseName) {
      this.deliveryWarehouseName = deliveryWarehouseName;
      return this;
   }

   public DrpInspectGoodsPageVO setDeliveryTotalNum(final BigDecimal deliveryTotalNum) {
      this.deliveryTotalNum = deliveryTotalNum;
      return this;
   }

   public DrpInspectGoodsPageVO setDeliveryDate(final LocalDate deliveryDate) {
      this.deliveryDate = deliveryDate;
      return this;
   }

   public DrpInspectGoodsPageVO setTotalQualifiedNum(final BigDecimal totalQualifiedNum) {
      this.totalQualifiedNum = totalQualifiedNum;
      return this;
   }

   public DrpInspectGoodsPageVO setInspectQualifiedNum(final BigDecimal inspectQualifiedNum) {
      this.inspectQualifiedNum = inspectQualifiedNum;
      return this;
   }

   public DrpInspectGoodsPageVO setRelateOrderGoodsId(final String relateOrderGoodsId) {
      this.relateOrderGoodsId = relateOrderGoodsId;
      return this;
   }

   public DrpInspectGoodsPageVO setIfInto(final Integer ifInto) {
      this.ifInto = ifInto;
      return this;
   }

   public DrpInspectGoodsPageVO setIfUpload(final Integer ifUpload) {
      this.ifUpload = ifUpload;
      return this;
   }

   public DrpInspectGoodsPageVO setAreaId(final Long areaId) {
      this.areaId = areaId;
      return this;
   }

   public DrpInspectGoodsPageVO setAreaName(final String areaName) {
      this.areaName = areaName;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpInspectGoodsPageVO setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpInspectGoodsPageVO setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpInspectGoodsPageVO setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpInspectGoodsPageVO setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
